public class Main {
    public static void processPaymentMethod(String method, String offer) {
        PaymentService paymentService = new PaymentService();

        try {
            paymentService.paymentMethod(method, offer);
        } catch (PaymentException e) {
            if (e instanceof InvalidPaymentMethodException ipm) {
                System.out.println("Payment failed: " + ipm.getMessage());
            } else if (e instanceof InvalidOfferAppliedException ioa) {
                System.out.println("Offer error: " + ioa.getMessage());
            } else {
                System.out.println("Unknown payment error: " + e.getMessage());
            }
        }
    }

    public static void main(String[] args) {
        processPaymentMethod("cash", "NONE");      // invalid payment method
        processPaymentMethod("card", "UPI10");     // invalid offer for card
        processPaymentMethod("upi", "UPI10");      // valid
    }
}
